| RNAstructure Classes Version 6.2

Classes | Typedefs | Functions
ProbScan.h File Reference
`#include "RNA.h"`
`#include "../src/defines.h"`
`#include <vector>`
`#include "../src/phmm/utils/xmath/log/xlog_math.h"`

## Classes
class | ProbScan

## Typedefs
typedef struct hp | hairpin_t
| A ProbScan hairpin closed by i and j. More...
typedef struct il | internal_loop_t
| A ProbScan internal loop closed by i and j on the exterior and k and l in the interior, where i<k<l<j. More...
typedef struct bp | basestack_t
| A ProbScan base pair stack. More...
typedef struct mb | multibranch_loop_t
| A ProbScan multibranch loop. More...

## Functions
hairpin_t | hairpin (double p, int i, int j)
internal_loop_t | internal_loop (double p, int i, int j, int k, int l)
basestack_t | basestack (double p, int i, int j, int k, int l)
multibranch_loop_t | multibranch_loop (int i, int j)
void | add_branch (multibranch_loop_t &mb, int k, int l)
void | show_hairpins (vector< hairpin_t >)
void | show_stacks (vector< basestack_t >)
void | show_internal_loops (vector< internal_loop_t >)
void | show_bulge_loops (vector< internal_loop_t >)
void | show_mbl (multibranch_loop_t mbl)
void | show_mb_element_array (vector< mb_element >)

## Typedef Documentation

## ◆ basestack_t

typedef struct bp basestack_t

A ProbScan base pair stack.

## ◆ hairpin_t

typedef struct hp hairpin_t

A ProbScan hairpin closed by i and j.

## ◆ internal_loop_t

typedef struct il internal_loop_t

A ProbScan internal loop closed by i and j on the exterior and k and l in the interior, where i<k<l<j.

## ◆ multibranch_loop_t

typedef struct mb multibranch_loop_t

A ProbScan multibranch loop.

A multibranch loop, represented by a vector pairs. branches[0] must close the multibranch loop

## Function Documentation

## ◆ add_branch()

void add_branch | ( | multibranch_loop_t & | mb,
|  | int | k,
|  | int | l
| ) |  |

## ◆ basestack()

basestack_t basestack | ( | double | p,
|  | int | i,
|  | int | j,
|  | int | k,
|  | int | l
| ) |  |

## ◆ hairpin()

hairpin_t hairpin | ( | double | p,
|  | int | i,
|  | int | j
| ) |  |

## ◆ internal_loop()

internal_loop_t internal_loop | ( | double | p,
|  | int | i,
|  | int | j,
|  | int | k,
|  | int | l
| ) |  |

## ◆ multibranch_loop()

multibranch_loop_t multibranch_loop | ( | int | i,
|  | int | j
| ) |  |

## ◆ show_bulge_loops()

void show_bulge_loops | ( | vector< internal_loop_t > |  | ) |

## ◆ show_hairpins()

void show_hairpins | ( | vector< hairpin_t > |  | ) |

## ◆ show_internal_loops()

void show_internal_loops | ( | vector< internal_loop_t > |  | ) |

## ◆ show_mb_element_array()

void show_mb_element_array | ( | vector< mb_element > |  | ) |

## ◆ show_mbl()

void show_mbl | ( | multibranch_loop_t | mbl | ) |

## ◆ show_stacks()

void show_stacks | ( | vector< basestack_t > |  | ) |